com.intellectualcrafters.plot.util

## Class PlotSquaredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.intellectualcrafters.plot.util.PlotSquaredException

- All Implemented Interfaces:
    java.io.Serializable

      public class PlotSquaredException
      extends java.lang.RuntimeException

  Created by Citymonstret on 2014-09-29.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PlotSquaredException.PlotError`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotSquaredException(PlotSquaredException.PlotError error, java.lang.String details)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlotSquaredException

          public PlotSquaredException(PlotSquaredException.PlotError error,
                              java.lang.String details)